* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
  background-color: black;
}

.logo {
  font-size: 1.5rem;
  letter-spacing: 2px;

  color: aliceblue;
}
.navbar {
  padding: 30px;
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid rgb(134, 134, 134);
}
.navbar ul {
  display: flex;
  gap: 30px;
}
.navbar ul a {
  list-style: none;
  font-size: 1.2rem;
  color: aliceblue;
  text-decoration: none;
}
.navbar ul a:hover {
  transition: color 0.3s ease;
  color: rgb(74, 165, 245);
}

.container {
  margin: 30px;
  animation: fade-in 1s ease forwards;
  opacity: 0;
}
@keyframes fade-in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

section {
  height: 100vh;
  width: 100%;
  text-align: center;
  border-bottom: 1px solid rgb(134, 134, 134);
}

.info {
  display: flex;
  align-items: center;
  justify-content: space-around;
  padding: 0 8% 8% 8%;
}
.about {
  color: aliceblue;

  width: 600px;
  text-align: left;
  padding-top: 1%;
  animation: arise1 0.5s ease forwards;
  letter-spacing: 3px;
  font-size: 1.5rem;
}

@keyframes arise1 {
  0% {
    transform: translateY(400px);
  }
  100% {
    transform: translateX(0);
  }
}
.graphic {
  padding-right: 5%;
  animation: slideleft 0.5s ease forwards;
}
.graphic img {
  border-radius: 50%;
  height: 200px;
  width: auto;
}

@keyframes slideleft {
  0% {
    transform: translateX(200px);
  }
  100% {
    transform: translateX(0);
  }
}

.about a {
  text-decoration: none;
  color: rgb(74, 165, 245);
}
.about a:hover {
  text-decoration: underline;
}

/* ======Projects Section ====== */

.project-title {
  font-size: 2rem;
  margin-bottom: 50px;
  color: aliceblue;
}
.projects-section {
  padding-top: 5%;
  height: auto;
}

.projects {
  margin: 200px 15% 0 15%;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 50px;
  justify-items: center;
}
.project-tile {
  background-color: aliceblue;
  border-radius: 20px;

  animation: arise2 ease;
  animation-timeline: view();
}

.project-tile h3 {
  font-size: 1.6rem;
}
.project-tile img {
  height: 200px;
  width: 200px;
  border-radius: 20px;
}

@keyframes arise2 {
  0% {
    opacity: 0;
    transform: translateY(100px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.footer {
  margin-top: 100px;
  height: auto;
}

.footer h2 {
  margin: 50px;
}

.footerDiv {
  margin-bottom: 100px;
}

i {
  margin: 35px;
  font-size: 50px;
}

/* Container for floating icons */
.icon-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  pointer-events: none;
  z-index: -1;
}

/* Styling floating icons */
.icon {
  position: absolute;
  font-size: 40px;
  color: rgba(255, 255, 255, 0.2);
}

/* Floating Animation */
@keyframes float {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
  100% {
    transform: translateY(0);
  }
}
.background {
  position: fixed;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  z-index: -1;
}

@media screen and (max-width: 560px) {
  .container {
    font-size: 1rem;
    letter-spacing: 2px;
  }
  .info {
    flex-direction: column-reverse;
    justify-content: space-evenly;
  }
  .about {
    width: auto;
  }
}
